Gem::Specification.new do |s|
  s.rubygems_version        = '1.9.2'

  s.name                    = 'textigniter'
  s.version                 = '0.0.36'
  s.executables             << 'textigniter'
  s.date                    = '2011-11-25'
  
  s.summary                 = 'A static site generator'
  s.description             = <<-EOF
    Textigniter is a lightweight static site generator based on textile (markdown optional), liquid, less, and coffeescript. It supports multiple blogs, custom meta, custom content blocks, and your own custom meta tags in templates without having to write plugins for them (You can however write plugins to add more power to your text-based information) 
    EOF
  
  s.authors                 = ["Kaleb Heitzman"]
  s.email                   = 'kalebheitzman@me.com'
  s.homepage                = 'http://github.com/kalebheitzman/textigniter'
  
  s.extra_rdoc_files        = %w[README.textile LICENSE]
  
  s.add_dependency('RedCloth', '~> 4.2.0')
  s.add_dependency('kramdown', '~> 0.13.0')
  s.add_dependency('liquid', '~> 2.3.0')
  s.add_dependency('less', '~> 2.0.0')
  s.add_dependency('coffee-script', '~> 2.2.0')
  s.add_dependency('colored', '~> 1.0')
  
  # = MANIFEST =
  s.files                   = %w[
    Rakefile
    README.textile
    textigniter.gemspec
    bin/textigniter
    lib/skeleton/.textigniter/config.yml
    lib/skeleton/.textigniter/content/index.textile
    lib/skeleton/.textigniter/content/about.textile
    lib/skeleton/.textigniter/scripts/functions.coffeescript
    lib/skeleton/.textigniter/styles/style.less
    lib/skeleton/.textigniter/layouts/default.liquid
    lib/skeleton/.textigniter/layouts/partials/_header.liquid
    lib/skeleton/.textigniter/layouts/partials/_footer.liquid
    lib/skeleton/.textigniter/manifests/README.textile
    lib/skeleton/.textigniter/plugins/README.textile
    lib/textigniter.rb
    lib/textigniter/build.rb
    lib/textigniter/build/render_files.rb
    lib/textigniter/help.rb
    lib/textigniter/init.rb
    lib/textigniter/list.rb
    lib/textigniter/parsers.rb
    lib/textigniter/parsers/blog_parser.rb
    lib/textigniter/parsers/manifest_parser.rb
    lib/textigniter/parsers/script_parser.rb
    lib/textigniter/parsers/style_parser.rb
    lib/textigniter/parsers/template_parser.rb
    lib/textigniter/parsers/text_parser.rb
    lib/textigniter/plugins.rb
    lib/textigniter/plugins/breadcrumbs.rb
    lib/textigniter/plugins/created_at.rb
    lib/textigniter/plugins/slug.rb
    lib/textigniter/scrub.rb
  ]
  # = MANIFEST =
  
  s.test_files                = s.files.select { |path| path =~ /^test\/test_.*\.rb/ }
  
  s.licenses                  = ['MIT']
  
end